GEThttps://api.transmutify.io/v1/providers/{provider}

Show an AI provider configured for the caller's organization

Requires a bearer token. Learn more about authentication

Path parameters

providerstring required

Responses

dataobject required
idstring required

Stable provider identifier. Pass this as `provider_id` when creating a transformation run.

namestring required

User-defined name for this provider configuration.

providerstring required

Provider key (e.g. `anthropic`, `openai`, `xai`, `gemini`, `openrouter`).

provider_labelstring required

Human-readable provider name suitable for display.

modelstring required

Model identifier used with this provider (e.g. `claude-sonnet-4-5-20250929`).

model_labelstring required

Human-readable model name suitable for display.

created_atstring | null required

ISO-8601 UTC timestamp the provider was added.

updated_atstring | null required

ISO-8601 UTC timestamp the provider was last updated.

cURL
curl -X GET 'https://api.transmutify.io/v1/providers/<transformation-id>' \
  -H 'Authorization: Bearer <api-key>'
Response · 200
{
  "data": {
    "id": "019dc459-c94a-71b4-a35f-6b6d384ef74b",
    "name": "Production OpenAI",
    "provider": "openai",
    "provider_label": "OpenAI",
    "model": "gpt-5.2",
    "model_label": "GPT-5.2",
    "created_at": "2026-01-10T09:15:00Z",
    "updated_at": "2026-01-10T09:15:00Z"
  }
}